<?php

$wp_customize->add_section( 'workart_our_partners_section',
	array(
		'title'             => esc_html__( 'Our Partners','workart-business' ),
		'description'       => esc_html__( 'Our Partners Section options.', 'workart-business' ),
		'panel'             => 'workart_front_page_panel',
		'priority'  => 65,
	)
);

$wp_customize->add_setting( 'client_section_enable', 
	array(
		'default'			=> 	false,
		'sanitize_callback' => 'workart_sanitize_switch_control',
	) 
);

$wp_customize->add_control( new  Workart_Business_Switch_Control( $wp_customize,
	'client_section_enable',
		array(
			'label'             => esc_html__( 'Our Partners Section Enable', 'workart-business' ),
			'section'           => 'workart_our_partners_section',
			'on_off_label' 		=> workart_switch_options(),
		)
	)
);



for ( $i = 1; $i <= 4; $i++ ) :
        
    $wp_customize->add_setting('client_image_'.$i ,
		array(
			'sanitize_callback' => 'workart_sanitize_image',
		)
	);

    $wp_customize->add_control(new WP_Customize_Image_Control( $wp_customize,
		'client_image_'.$i ,
			array(
				'section'			=> 'workart_our_partners_section',
				'label'				=> esc_html__( 'Image:', 'workart-business' ),
				'active_callback'   => 'workart_business_is_client_section_enable',
			)
		)
	);

            
    $wp_customize->add_setting( 'client_url_'.$i ,
        array(
            'sanitize_callback' => 'esc_url_raw',
        )
    );

    $wp_customize->add_control( 'client_url_'.$i ,
        array(
			'label'             => sprintf(esc_html__( 'Our Partners URL : %d', 'workart-business'), $i ),
            'section'        	=> 'workart_our_partners_section',
            'type'				=> 'url',
            'active_callback'   => 'workart_business_is_client_section_enable',
        ) 
    );

endfor;
