<?php

if ( ! function_exists( 'workart_business_add_testimonial_section' ) ) :

    function workart_business_add_testimonial_section() {


        if ( get_theme_mod( 'testimonial_section_enable', false ) == false ) {
            return false;
        }

        $section_details = array();
        $section_details = apply_filters( 'workart_business_filter_testimonial_section_details', $section_details );

        if ( empty( $section_details ) ) {
            return;
        }

        workart_business_render_testimonial_section( $section_details );
}

endif;

if ( ! function_exists( 'workart_business_get_testimonial_section_details' ) ) :

    function workart_business_get_testimonial_section_details( $input ) {

        $testimonial_count = 3;
        
        $content = array();
      
        $page_ids = array();

        for ( $i = 1; $i <= $testimonial_count; $i++ ) {
            if ( ! empty( get_theme_mod( 'testimonial_content_post_' . $i, '' ) ) )
                $page_ids[] =  get_theme_mod( 'testimonial_content_post_' . $i, '' );
        }

        $args = array(
            'post_type'         => 'post',
            'post__in'          => ( array ) $page_ids,
            'posts_per_page'    => absint( $testimonial_count ),
            'orderby'           => 'post__in',
            );                    
           
        $query = new WP_Query( $args );
        if ( $query->have_posts() ) : 
            $i = 1;
            while ( $query->have_posts() ) : $query->the_post();
                $page_post['id']        = get_the_id();
                $page_post['title']     = get_the_title();
                $page_post['url']       = get_the_permalink();
                $page_post['excerpt']   = workart_trim_content(20);
                $page_post['image']     = has_post_thumbnail() ? get_the_post_thumbnail_url( get_the_id(), 'large' ) : '';

                array_push( $content, $page_post );
            endwhile;
            $i++;
        endif;
        wp_reset_postdata();

        if ( ! empty( $content ) ) {
            $input = $content;
        }
        return $input;
    }
endif;

add_filter( 'workart_business_filter_testimonial_section_details', 'workart_business_get_testimonial_section_details' );


if ( ! function_exists( 'workart_render_testimonial_section' ) ) :

   function workart_business_render_testimonial_section( $content_details = array() ) {

    ?>  

    <div id="workart_testimonial_section" class="relative page-section same-background">
        <div class="wrapper">
            <?php if ( !empty( get_theme_mod( 'testimonial_sub_title', '' ) ) ): ?>
                <div class="section-header">
                    <p class="section-subtitle"><?php echo esc_html( get_theme_mod( 'testimonial_sub_title', '' ) ); ?></p>
                </div>
            <?php endif ?>

            <div class="testimonial-slider" data-slick='{"slidesToShow": 1, "slidesToScroll": 1, "infinite": false, "speed": 1500, "dots": true, "arrows": false, "autoplay": false, "draggable": true, "fade": false }'>
                <?php $i=1; foreach ( $content_details as $content ) : ?>
                    <article>
                        <div class="testimonial-item-wrapper">
                            <div class="entry-container">
                                <div class="entry-content">
                                    <p>‘‘<?php echo wp_kses_post($content['excerpt']); ?>’’</p>
                                </div>

                                <div class="separator"></div>

                                <div class="featured-image">
                                    <a href="<?php echo esc_url( $content['url'] ); ?>"><img src="<?php echo esc_url( $content['image'] ); ?>" alt="<?php echo esc_attr( $content['title'] ); ?>"></a>
                                </div>

                                <header class="entry-header">
                                    <h2 class="entry-title"><a href="<?php echo esc_url( $content['url'] ); ?>"><?php echo esc_html( $content['title'] ); ?></a></h2>
                                    <?php if ( !empty( get_theme_mod( 'testimonial_position_'.$i, '' ) ) ): ?>
                                        <p class="position"><?php echo esc_html( get_theme_mod( 'testimonial_position_'.$i ) ); ?></p>
                                    <?php endif ?>
                                   
                                </header>
                            </div>
                        </div>
                    </article>
                <?php $i++; endforeach; ?>
                
            </div>
        </div>
    </div>
        
<?php
    }    
endif;

